CRYPTO_HASH_DIGEST(9)

NAME
crypto_hash_digest - calculate message digest for a buffer

SYNOPSIS

int crypto_hash_digest(struct hash_desc * desc, struct scatterlist * sg, unsigned int nbytes, u8 * out);

ARGUMENTS

desc
    see crypto_hash_final

sg
    see crypto_hash_update

nbytes
    see crypto_hash_update

out
    see crypto_hash_final

DESCRIPTION

This function is a “short-hand” for the function calls of crypto_hash_init, crypto_hash_update and crypto_hash_final. The parameters have the same meaning as discussed for those separate three functions.

RETURN

0 if the message digest creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT